Update Plan
Updates an existing installment plan’s status, installment details, or payment method
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/installments-plans/{installment_code} \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"name": "Plan Update",
"account_id": [
"{{account_id}}"
],
"merchant_reference": "REF01",
"installments_plan": [
{
"installment": 3,
"rate": 1.05,
"financial_costs": [
{
"type": "CFT",
"rate": 15.5
}
],
"type": "MERCHANT_INSTALLMENTS"
},
{
"installment": 6,
"rate": 1.1
},
{
"installment": 12,
"rate": 1.2
}
],
"country_code": "US",
"scheme": "VISA",
"brand": [
"VISA",
"MASTERCARD"
],
"issuer": "JPMORGAN CHASE BANK",
"iin": [
"411111",
"542418"
],
"first_installment_deferral": 1,
"amount": {
"currency": "USD",
"min_value": 50,
"max_value": 10000
},
"availability": {
"start_at": "2024-01-01T00:00:00.000Z",
"finish_at": "2024-12-31T23:59:59.999Z"
}
}
'import requests
url = "https://api-sandbox.y.uno/v1/installments-plans/{installment_code}"
payload = {
"name": "Plan Update",
"account_id": ["{{account_id}}"],
"merchant_reference": "REF01",
"installments_plan": [
{
"installment": 3,
"rate": 1.05,
"financial_costs": [
{
"type": "CFT",
"rate": 15.5
}
],
"type": "MERCHANT_INSTALLMENTS"
},
{
"installment": 6,
"rate": 1.1
},
{
"installment": 12,
"rate": 1.2
}
],
"country_code": "US",
"scheme": "VISA",
"brand": ["VISA", "MASTERCARD"],
"issuer": "JPMORGAN CHASE BANK",
"iin": ["411111", "542418"],
"first_installment_deferral": 1,
"amount": {
"currency": "USD",
"min_value": 50,
"max_value": 10000
},
"availability": {
"start_at": "2024-01-01T00:00:00.000Z",
"finish_at": "2024-12-31T23:59:59.999Z"
}
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Plan Update',
account_id: ['{{account_id}}'],
merchant_reference: 'REF01',
installments_plan: [
{
installment: 3,
rate: 1.05,
financial_costs: [{type: 'CFT', rate: 15.5}],
type: 'MERCHANT_INSTALLMENTS'
},
{installment: 6, rate: 1.1},
{installment: 12, rate: 1.2}
],
country_code: 'US',
scheme: 'VISA',
brand: ['VISA', 'MASTERCARD'],
issuer: 'JPMORGAN CHASE BANK',
iin: ['411111', '542418'],
first_installment_deferral: 1,
amount: {currency: 'USD', min_value: 50, max_value: 10000},
availability: {start_at: '2024-01-01T00:00:00.000Z', finish_at: '2024-12-31T23:59:59.999Z'}
})
};
fetch('https://api-sandbox.y.uno/v1/installments-plans/{installment_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4d573425-33f9-4c46-b009-2c7e749b0ec7",
"name": "plan_007",
"account_id": [
"f7c5fe77-721b-49c2-84d3-957748df3c2c"
],
"merchant_reference": "Test",
"installments_plan": [
{
"installment": 1,
"rate": 1,
"provider_id": ""
},
{
"installment": 3,
"rate": 1,
"provider_id": "",
"financial_costs": [
{
"type": "CFT",
"rate": 45.25,
"formatted_value": "45,25%"
},
{
"type": "TEA",
"rate": 38.5,
"formatted_value": "38,50%"
}
]
},
{
"installment": 6,
"rate": 1,
"provider_id": ""
},
{
"installment": 9,
"rate": 1,
"provider_id": ""
},
{
"installment": 12,
"rate": 1,
"provider_id": ""
}
],
"type": "",
"source": "",
"provider_id": "",
"scheme": "",
"brand": [
"VISA"
],
"issuer": "",
"issuer_id": "",
"iin": null,
"country_code": "US",
"first_installment_deferral": 0,
"amount": {
"Currency": "USD",
"min_value": 0,
"max_value": 100000000
},
"availability": {
"start_at": "2023-09-12T00:00:00Z",
"finish_at": "2030-09-20T00:00:00Z"
},
"created_at": "2023-10-11T17:52:31.886178246Z",
"updated_at": "2023-10-11T17:52:31.886178246Z"
}{}Authorizations
Path Parameters
The unique identifier of the installment plan.
Body
The installment plan name (MAX 255; MIN 3)
The unique identifier of Yuno's account that will have the installment plan available to use (MAX 64 ; MIN 36).
Identification of the installment plan (MAX 255; MIN 3)
Definition of installments available for each scenario
Show child attributes
Show child attributes
The issuer's country (ISO 3166-1 MAX 2; MIN 2)
Card’s scheme information. (MAX 255; MIN 3)
Card’s brand [blocked] information (MAX 255; MIN 3).
Card issuer (MAX 255; MIN 3)
The issuer identification number (IIN) refers to the first few digits of a payment card number issued by a financial institution (MAX 8; MIN 6)
The amount of months to wait to debit the first installment Mas:3
The amounts that the installment plan will be available for. If null, available for any amount.
Show child attributes
Show child attributes
The dates that the installment plan will be available for. If null then it does not have a finish date
Show child attributes
Show child attributes
Response
200
"4d573425-33f9-4c46-b009-2c7e749b0ec7"
"plan_007"
"Test"
Show child attributes
Show child attributes
""
""
""
""
""
""
"US"
0
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2023-10-11T17:52:31.886178246Z"
"2023-10-11T17:52:31.886178246Z"
Was this page helpful?
